summaryrefslogtreecommitdiff
path: root/TAO/performance-tests/Cubit/TAO
diff options
context:
space:
mode:
authordbudko <dbudko@ae88bc3d-4319-0410-8dbf-d08b4c9d3795>2009-11-30 10:03:58 +0000
committerdbudko <dbudko@ae88bc3d-4319-0410-8dbf-d08b4c9d3795>2009-11-30 10:03:58 +0000
commite6cc67104d57669f906094582911e63de87028e5 (patch)
tree1e31bb7fc2ab61eeaf2b980abaefab91a7952292 /TAO/performance-tests/Cubit/TAO
parent93f5c2373f105917e4a4c560a1e1dfd7bbbabc0e (diff)
downloadATCD-e6cc67104d57669f906094582911e63de87028e5.tar.gz
Mon Nov 30 10:01:49 UTC 2009 Denis Budko <denis.budko@remedy.nl>
* orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/default_configuration.pl: * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/run_test.pl: * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/default_configuration.pl: * orbsvcs/tests/Simple_Naming/run_test.pl: * orbsvcs/tests/Security/InsecureReferences/run_test.pl: * orbsvcs/tests/Security/MT_IIOP_SSL/run_test.pl: * orbsvcs/tests/Security/Bug_1107_Regression/run_test.pl: * orbsvcs/tests/Security/Crash_Test/run_test.pl: * orbsvcs/tests/Security/MT_SSLIOP/run_test_harsh.pl: * orbsvcs/tests/Security/MT_SSLIOP/run_test_heavy.pl: * orbsvcs/tests/Security/MT_SSLIOP/run_test.pl: * orbsvcs/tests/AVStreams/Component_Switching/run_test.pl: * orbsvcs/tests/AVStreams/Full_Profile/run_test.pl: * orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl: * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/run_test.pl: * orbsvcs/tests/AVStreams/Latency/run_test.pl: * orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl: * orbsvcs/tests/AVStreams/Pluggable/run_test.pl: * orbsvcs/tests/AVStreams/Simple_Three_Stage/run_test.pl: * orbsvcs/tests/AVStreams/Simple_Two_Stage/run_test.pl: * orbsvcs/tests/AVStreams/Multiple_Flows/run_test.pl: * orbsvcs/tests/AVStreams/Multicast/run_test.pl: * orbsvcs/tests/AVStreams/Multicast_Full_Profile/run_test.pl: * orbsvcs/tests/AVStreams/Modify_QoS/run_test.pl: * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/run_test.pl: * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/run_all.pl: * orbsvcs/tests/Notify/performance-tests/RedGreen/run_test.pl: * orbsvcs/tests/Notify/XML_Persistence/run_test.pl: * orbsvcs/tests/InterfaceRepo/IFR_Test/run_test.pl: * orbsvcs/tests/InterfaceRepo/Persistence_Test/run_test.pl: * orbsvcs/tests/InterfaceRepo/Duplicate_Typedef_Test/run_test.pl: * orbsvcs/tests/InterfaceRepo/Latency_Test/run_test.pl: * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/run_test.pl: * performance-tests/POA/Implicit_Activation/run_test.pl: * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/run-test.pl: * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/run-test.pl: * performance-tests/Callback/run_test.pl: * performance-tests/Latency/AMH_Single_Threaded/run_test.pl: * performance-tests/Cubit/TAO/MT_Cubit/run_test.pl: * performance-tests/Cubit/TAO/DII_Cubit/run_test.pl: * performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl: * tests/Big_Twoways/run_test.pl: * tests/Bug_2918_Regression/run_test.pl: * tests/Strategies/run_test.pl: * tests/Bug_1482_Regression/run_test.pl: * tests/Portable_Interceptors/Benchmark/run_test.pl: * tests/Xt_Stopwatch/run_test.pl: * tests/Multiple/run_test.pl: * tests/CSD_Strategy_Tests/Broken/run_test.pl: * tests/CSD_Strategy_Tests/TP_Test_4/run_test.pl: * tests/Oneway_Timeouts/client.cpp: * tests/Oneway_Timeouts/server.cpp: * tests/Oneway_Timeouts/run_test.pl: * tests/Smart_Proxies/Policy/server.cpp: * tests/Smart_Proxies/Policy/run_test.pl: * tests/Bug_1270_Regression/run_test.pl: * tests/Parallel_Connect_Strategy/run_test.pl: * tests/Muxed_GIOP_Versions/run_test.pl: * tests/Connect_Strategy_Test/run_test.pl: * tests/Big_Oneways/run_test.pl: * tests/Bug_1627_Regression/server.cpp: * tests/Bug_1627_Regression/run_test.pl: * tests/InterOp-Naming/run_test.pl: * tests/Nested_Upcall_Crash/run_test.pl: * tests/Bug_1269_Regression/client.cpp: * tests/Bug_1269_Regression/run_test.pl: Test are converted to use new test framework and added to fuzz build.
Diffstat (limited to 'TAO/performance-tests/Cubit/TAO')
-rwxr-xr-xTAO/performance-tests/Cubit/TAO/DII_Cubit/run_test.pl88
-rwxr-xr-xTAO/performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl109
-rwxr-xr-xTAO/performance-tests/Cubit/TAO/MT_Cubit/run_test.pl79
3 files changed, 187 insertions, 89 deletions
diff --git a/TAO/performance-tests/Cubit/TAO/DII_Cubit/run_test.pl b/TAO/performance-tests/Cubit/TAO/DII_Cubit/run_test.pl
index 6f977a58c96..7fb96cdaf75 100755
--- a/TAO/performance-tests/Cubit/TAO/DII_Cubit/run_test.pl
+++ b/TAO/performance-tests/Cubit/TAO/DII_Cubit/run_test.pl
@@ -1,19 +1,33 @@
eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
- & eval 'exec perl -S $0 $argv:q'
- if 0;
+ & eval 'exec perl -S $0 $argv:q'
+ if 0;
# $Id$
# -*- perl -*-
use lib "$ENV{ACE_ROOT}/bin";
-use PerlACE::Run_Test;
+use PerlACE::TestTarget;
$status = 0;
-$iorfile = PerlACE::LocalFile ("cubit.ior");
-$svnsflags = " -f $iorfile ";
-$clnsflags = " -f $iorfile ";
-$clflags = "";
-$svflags = "";
+$debug_level = '0';
+
+foreach $i (@ARGV) {
+ if ($i eq '-debug') {
+ $debug_level = '10';
+ }
+}
+
+my $server = PerlACE::TestTarget::create_target (1) || die "Create target 1 failed\n";
+my $client = PerlACE::TestTarget::create_target (2) || die "Create target 2 failed\n";
+
+my $iorbase = "cubit.ior";
+my $server_iorfile = $server->LocalFile ($iorbase);
+my $client_iorfile = $client->LocalFile ($iorbase);
+$server->DeleteFile($iorbase);
+$client->DeleteFile($iorbase);
+
+$client_flags = "";
+$server_flags = "";
###############################################################################
# Parse the arguments
@@ -29,16 +43,16 @@ for (my $i = 0; $i <= $#ARGV; $i++) {
exit;
}
elsif ($ARGV[$i] eq "-debug") {
- $clflags .= " -d ";
- $svflags .= " -d ";
+ $client_flags .= " -d ";
+ $server_flags .= " -d ";
}
elsif ($ARGV[$i] eq "-n") {
- $clflags .= " -n $ARGV[$i + 1] ";
+ $client_flags .= " -n $ARGV[$i + 1] ";
$i++;
}
elsif ($ARGV[$i] eq "-orblite") {
- $clflags .= " -ORBgioplite ";
- $svflags .= " -ORBgioplite ";
+ $client_flags .= " -ORBgioplite ";
+ $server_flags .= " -ORBgioplite ";
}
else {
print STDERR "ERROR: Unknown Option: ".$ARGV[$i]."\n";
@@ -46,9 +60,9 @@ for (my $i = 0; $i <= $#ARGV; $i++) {
}
###############################################################################
-
-my $SV = new PerlACE::Process ("../IDL_Cubit/server", $svflags . $svnsflags);
-my $CL = new PerlACE::Process ("client", "$clflags $clnsflags -x");
+$SV = $server->CreateProcess ("../IDL_Cubit/server", "-ORBdebuglevel $debug_level ".
+ "-f $server_iorfile $server_flags");
+$CL = $client->CreateProcess ("client", "-f $client_iorfile $client_flags -x");
if (! (-x $SV->Executable () && -x $CL->Executable)) {
print STDERR "ERROR: server and/or client missing or not executable!\n";
@@ -56,29 +70,47 @@ if (! (-x $SV->Executable () && -x $CL->Executable)) {
}
# Make sure the file is gone, so we can wait on it.
-unlink $iorfile;
+$server_status = $SV->Spawn ();
+
+if ($server_status != 0) {
+ print STDERR "ERROR: server returned $server_status\n";
+ exit 1;
+}
+
+if ($server->WaitForFileTimed ($iorbase,
+ $server->ProcessStartWaitInterval()) == -1) {
+ print STDERR "ERROR: cannot find file <$server_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
+ exit 1;
+}
-$SV->Spawn ();
+if ($server->GetFile ($iorbase) == -1) {
+ print STDERR "ERROR: cannot retrieve file <$server_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
+ exit 1;
+}
-if (PerlACE::waitforfile_timed ($iorfile, $PerlACE::wait_interval_for_process_creation) == -1) {
- print STDERR "ERROR: cannot find file <$iorfile>\n";
- $SV->Kill ();
+if ($client->PutFile ($iorbase) == -1) {
+ print STDERR "ERROR: cannot set file <$client_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
exit 1;
}
-$client = $CL->SpawnWaitKill (60);
-$server = $SV->WaitKill (10);
+$client_status = $CL->SpawnWaitKill ($client->ProcessStartWaitInterval() + 45);
-if ($client != 0) {
- print STDERR "ERROR: client returned $client\n";
+if ($client_status != 0) {
+ print STDERR "ERROR: client returned $client_status\n";
$status = 1;
}
-if ($server != 0) {
- print STDERR "ERROR: server returned $server\n";
+$server_status = $SV->WaitKill ($server->ProcessStopWaitInterval());
+
+if ($server_status != 0) {
+ print STDERR "ERROR: server returned $server_status\n";
$status = 1;
}
-unlink $iorfile;
+$server->DeleteFile($iorbase);
+$client->DeleteFile($iorbase);
exit $status;
diff --git a/TAO/performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl b/TAO/performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl
index 8624af33964..4b43bc84400 100755
--- a/TAO/performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl
+++ b/TAO/performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl
@@ -1,28 +1,41 @@
eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
- & eval 'exec perl -S $0 $argv:q'
- if 0;
+ & eval 'exec perl -S $0 $argv:q'
+ if 0;
# $Id$
# -*- perl -*-
-# The first three lines above let this script run without specifying the
-# full path to perl, as long as it is in the user's PATH.
-# Taken from perlrun man page.
-
use lib "$ENV{ACE_ROOT}/bin";
-use PerlACE::Run_Test;
+use PerlACE::TestTarget;
use English;
$status = 0;
+$debug_level = '0';
+
+foreach $i (@ARGV) {
+ if ($i eq '-debug') {
+ $debug_level = '10';
+ }
+}
-$iorfile = PerlACE::LocalFile ("cubit.ior");
-$server_shmiop_conf = PerlACE::LocalFile ("server_shmiop$PerlACE::svcconf_ext");
+my $server = PerlACE::TestTarget::create_target (1) || die "Create target 1 failed\n";
+my $client = PerlACE::TestTarget::create_target (2) || die "Create target 2 failed\n";
+
+my $iorbase = "cubit.ior";
+my $server_shmiop_conf = $server->LocalFile ("server_shmiop$PerlACE::svcconf_ext");
+
+my $server_iorfile = $server->LocalFile ($iorbase);
+my $client_iorfile = $client->LocalFile ($iorbase);
+$server->DeleteFile($iorbase);
+$client->DeleteFile($iorbase);
+
+# The first three lines above let this script run without specifying the
+# full path to perl, as long as it is in the user's PATH.
+# Taken from perlrun man page.
-$svnsflags = " -f $iorfile";
-$clnsflags = " -f $iorfile";
-$clflags = "";
-$svflags = "";
-$quietflag = " -q ";
+$client_flags = "";
+$server_flags = "";
+$quiet_flag = " -q ";
###############################################################################
# Parse the arguments
@@ -38,67 +51,85 @@ for ($i = 0; $i <= $#ARGV; $i++) {
exit;
}
elsif ($ARGV[$i] eq "-debug") {
- $clflags .= " -d ";
- $svflags .= " -d ";
+ $client_flags .= " -d ";
+ $server_flags .= " -d ";
}
elsif ($ARGV[$i] eq "-n") {
- $clflags .= " -n $ARGV[$i + 1] ";
+ $client_flags .= " -n $ARGV[$i + 1] ";
$i++;
}
elsif ($ARGV[$i] eq "-verbose") {
- $quietflag = "";
+ $quiet_flag = "";
}
else {
print STDERR "ERROR: Unknown Option: ".$ARGV[$i]."\n";
}
}
-$SV = new PerlACE::Process ("server");
-$CL = new PerlACE::Process ("client");
+$SV = $server->CreateProcess ("server", "");
+$CL = $client->CreateProcess ("client", "-f $client_iorfile $client_flags $quiet_flag -x");
###############################################################################
# run_test_helper
sub run_test_helper ()
{
- $SV->Spawn ();
+ $server_status = $SV->Spawn ();
- if (PerlACE::waitforfile_timed ($iorfile, $PerlACE::wait_interval_for_process_creation) == -1) {
- print STDERR "ERROR: cannot find file <$iorfile>\n";
- $SV->Kill ();
+ if ($server_status != 0) {
+ print STDERR "ERROR: server returned $server_status\n";
exit 1;
}
- my $client = $CL->SpawnWaitKill (120);
- my $server = $SV->WaitKill (30);
+ if ($server->WaitForFileTimed ($iorbase,
+ $server->ProcessStartWaitInterval()) == -1) {
+ print STDERR "ERROR: cannot find file <$server_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
+ exit 1;
+ }
+
+ if ($server->GetFile ($iorbase) == -1) {
+ print STDERR "ERROR: cannot retrieve file <$server_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
+ exit 1;
+ }
+
+ if ($client->PutFile ($iorbase) == -1) {
+ print STDERR "ERROR: cannot set file <$client_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
+ exit 1;
+ }
- unlink $iorfile;
+ $client_status = $CL->SpawnWaitKill ($client->ProcessStartWaitInterval() + 105);
- if ($server != 0) {
- print STDERR "ERROR: server error status $server\n";
+ if ($client_status != 0) {
+ print STDERR "ERROR: client returned $client_status\n";
$status = 1;
}
- if ($client != 0) {
- print STDERR "ERROR: client error status $client\n";
+ $server_status = $SV->WaitKill ($server->ProcessStopWaitInterval() + 20);
+
+ if ($server_status != 0) {
+ print STDERR "ERROR: server returned $server_status\n";
$status = 1;
}
+
+ $server->DeleteFile($iorbase);
+ $client->DeleteFile($iorbase);
}
###############################################################################
+my $server_stdarg = "-ORBdebuglevel $debug_level -f $server_iorfile $server_flags";
if (! (-x $SV->Executable () && -x $CL->Executable)) {
print STDERR "ERROR: server and/or client missing or not executable!\n";
exit 1;
}
-unlink $iorfile;
-
print STDERR "============================================================\n";
print STDERR "Running IDL_Cubit with the default ORB protocol.\n\n";
-$SV->Arguments ($svflags . $svnsflags);
-$CL->Arguments ($clflags . $clnsflags . $quietflag . " -x ");
+$SV->Arguments ($server_stdarg);
run_test_helper ();
@@ -106,19 +137,15 @@ if ($OSNAME ne "MSWin32" && $OSNAME ne "VMS") {
print STDERR "============================================================\n";
print STDERR "Running IDL_Cubit with the UIOP protocol.\n\n";
- $SV->Arguments ($svflags . $svnsflags . " -ORBEndpoint uiop:// ");
- $CL->Arguments ($clflags . $clnsflags . $quietflag . " -x ");
+ $SV->Arguments ("$server_stdarg -ORBEndpoint uiop:// ");
run_test_helper ();
-
}
print STDERR "============================================================\n";
print STDERR "Running IDL_Cubit with the SHMIOP protocol.\n\n";
-$SV->Arguments ($svflags . $svnsflags
- . " -ORBEndpoint shmiop:// -ORBSvcconf $server_shmiop_conf ");
-$CL->Arguments ($clflags . $clnsflags . $quietflag . " -x ");
+$SV->Arguments ("$server_stdarg -ORBEndpoint shmiop:// -ORBSvcconf $server_shmiop_conf ");
run_test_helper ();
diff --git a/TAO/performance-tests/Cubit/TAO/MT_Cubit/run_test.pl b/TAO/performance-tests/Cubit/TAO/MT_Cubit/run_test.pl
index f67e64c8237..afbfcb9c2a1 100755
--- a/TAO/performance-tests/Cubit/TAO/MT_Cubit/run_test.pl
+++ b/TAO/performance-tests/Cubit/TAO/MT_Cubit/run_test.pl
@@ -1,16 +1,24 @@
eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
- & eval 'exec perl -S $0 $argv:q'
- if 0;
+ & eval 'exec perl -S $0 $argv:q'
+ if 0;
# $Id$
# -*- perl -*-
-$usage = "run_tests.pl [-n iterations] [-r, for thread-per-rate] [-t low priority threads]\n";
-
use lib "$ENV{ACE_ROOT}/bin";
-use PerlACE::Run_Test;
+use PerlACE::TestTarget;
+
+$status = 0;
+$debug_level = '0';
+
+foreach $i (@ARGV) {
+ if ($i eq '-debug') {
+ $debug_level = '10';
+ }
+}
+
+$usage = "run_tests.pl [-n iterations] [-r, for thread-per-rate] [-t low priority threads]\n";
-$iorfile = PerlACE::LocalFile ("mtcubit.ior");
$iterations = 1000;
$low_priority_threads = 1;
$thread_per_rate = '';
@@ -47,28 +55,59 @@ while ($#ARGV >= $[ && $ARGV[0] =~ /^-/) {
$threads = $low_priority_threads + 1;
-# Make sure the file is gone, so we can wait on it.
-unlink $iorfile;
+my $server = PerlACE::TestTarget::create_target (1) || die "Create target 1 failed\n";
+my $client = PerlACE::TestTarget::create_target (2) || die "Create target 2 failed\n";
-$SV = new PerlACE::Process ("server", "$thread_per_rate -f $iorfile -t $threads");
-$CL = new PerlACE::Process ("client", "$thread_per_rate -f $iorfile -t $threads -n $iterations");
+my $iorbase = "mtcubit.ior";
+my $server_iorfile = $server->LocalFile ($iorbase);
+my $client_iorfile = $client->LocalFile ($iorbase);
+$server->DeleteFile($iorbase);
+$client->DeleteFile($iorbase);
-$SV->Spawn ();
+$SV = $server->CreateProcess ("server", "-ORBdebuglevel $debug_level $thread_per_rate -f $server_iorfile -t $threads");
+$CL = $client->CreateProcess ("client", "$thread_per_rate -f $client_iorfile -t $threads -n $iterations");
-if (PerlACE::waitforfile_timed ($iorfile, $PerlACE::wait_interval_for_process_creation) == -1) {
- print STDERR "ERROR: cannot find file <$iorfile>\n";
- $SV->Kill ();
+$server_status = $SV->Spawn ();
+
+if ($server_status != 0) {
+ print STDERR "ERROR: server returned $server_status\n";
exit 1;
}
-$client = $CL->SpawnWaitKill (180);
-$SV->Kill ();
+if ($server->WaitForFileTimed ($iorbase,
+ $server->ProcessStartWaitInterval()) == -1) {
+ print STDERR "ERROR: cannot find file <$server_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
+ exit 1;
+}
-unlink $iorfile;
+if ($server->GetFile ($iorbase) == -1) {
+ print STDERR "ERROR: cannot retrieve file <$server_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
+ exit 1;
+}
-if ($client != 0) {
- print STDERR "ERROR: client returned $client\n";
+if ($client->PutFile ($iorbase) == -1) {
+ print STDERR "ERROR: cannot set file <$client_iorfile>\n";
+ $SV->Kill (); $SV->TimedWait (1);
exit 1;
}
-exit 0;
+$client_status = $CL->SpawnWaitKill ($client->ProcessStartWaitInterval() + 165);
+
+if ($client_status != 0) {
+ print STDERR "ERROR: client returned $client_status\n";
+ $status = 1;
+}
+
+$server_status = $SV->Kill ();
+
+if ($server_status != 0) {
+ print STDERR "ERROR: server returned $server_status\n";
+ $status = 1;
+}
+
+$server->DeleteFile($iorbase);
+$client->DeleteFile($iorbase);
+
+exit $status;